import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import React from "react";
import { Box, Center, Spinner } from "@chakra-ui/react";
import { useLocation, useParams } from "react-router-dom";
import { ModalPageSourceContext, SourceContext } from "./SourceContext";
import ActivePage from "./ActivePage";
import ToastNotification from "./ToastNotification";
import GroupComponentsContext from "./GroupComponentsContext";
import QRScannerAction from "./QRScanner.action";
import { usePageSource } from "./hooks/usePageSource";
import { RuntimeContext } from "@qorebase/app-component";
import ModalPage from "./ModalPage";
import * as queryString from "./utils/query-string";
import { ParamsProvider } from "./ParamsProvider";
import RefreshDataProvider from "./hooks/useRefreshData";
export default function ActivePageContainer() {
    const location = useLocation();
    const modalPage = RuntimeContext.useSelectState((runtime) => { var _a; return runtime.maps.page[((_a = queryString.parse(location.search)) === null || _a === void 0 ? void 0 : _a.modalPage) || ""]; });
    const params = useParams();
    const query = React.useMemo(() => queryString.parse(location.search), [location.search]);
    const { page, source } = usePageSource();
    const { source: modalPageSource } = usePageSource({ page: modalPage }, query.modalRowId);
    return (_jsx(SourceContext.Provider, Object.assign({ value: source }, { children: _jsx(ModalPageSourceContext.Provider, Object.assign({ value: modalPageSource }, { children: _jsx(ParamsProvider, { children: _jsxs(RefreshDataProvider, { children: [_jsx(GroupComponentsContext.Provider, { children: _jsx(Box, Object.assign({ position: "relative", width: "100%", height: "100%", bg: "#f6f6f6" }, { children: _jsx(React.Suspense, Object.assign({ fallback: _jsx(Center, Object.assign({ h: "100%" }, { children: _jsx(Spinner, { thickness: "4px", speed: "0.65s", emptyColor: "gray.200", color: "qore.primary", size: "xl" }) })) }, { children: page && (_jsx(ActivePage, { page: page }, `${params.page}`)) })) })) }), _jsx(ModalPage, {}), _jsx(ToastNotification, {}), _jsx(QRScannerAction, {})] }) }) })) })));
}
//# sourceMappingURL=ActivePageContainer.js.map